> For the complete documentation index, see [llms.txt](https://docs.ryanmood.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ryanmood.me/privatechats/config-files/chats.yml.md).

# chats.yml

{% hint style="warning" %}
Your server must be restarted to properly register all commands.
{% endhint %}

### Required Settings

In all chats you are required to have the following:

`name: "Chat Name"` - The name of the chat.

`commands:`- The commands that will activate the chat. Must be in formatted in a list (see example below).

`send_perm: "send.permission"` - The permission required to send a message or send event to the chat.

`read_perm: "read.permission"` - The permission required to receive the sent message / event message.

#### Example:

<pre class="language-yaml"><code class="lang-yaml"><strong>section_name:
</strong>  name: "Chat Name"
  commands:
   - "commandOne"
   - "commandTwo"
  send_perm: "send.permission"
  read_perm: "read.permission"
</code></pre>

### Optional Settings

<details>

<summary>Format Section</summary>

Placeholders: %player% - Player Name | %message% - Message&#x20;

`message: "Message Format` - The format used when a player sends a message in the chat.

`event: "Event Format"` - The format used when a player triggers an event.&#x20;

#### Example:

```yaml
  format:
    message: "&7[&bMessage Format&7] &3%player%: %message%"
    event: "&7[&bStaffChat&7] &3%message%"
```

</details>

`event_message: false` - Should a message be sent to the chat if an event is triggered. Must be true/false.

`sent_message: false` - Should a message be sent to tell a player that their message was sent.

`console: false` - Should console be able to see and use the chat.&#x20;

<details>

<summary>Toggle Section</summary>

`enabled: true` - Should the toggle feature be enabled.

`message: "Toggled Message"` - The message that is shown when you toggle a chat on/off.

`commands:` - The commands that will toggle the chat. Must be in formatted in a list (see example below).

```yaml
  toggle:    
    enabled: true
    message: "&aYou have toggled StaffChat (%status%)!"
    commands:
     - "togglesc"
     - "togglestaffchat"
```

</details>

<details>

<summary>Hide Section</summary>

`enabled: true` - Should the hide feature be enabled.&#x20;

`message: "&aYou have %status% StaffChat!` - The message that is shown when you hide/unhide a chat.

`commands:` - The commands that will toggle the chat. Must be in formatted in a list (see example below).

```yaml
  hide:
    enabled: true
    message: "&aYou have %status% StaffChat!"
    commands:
     - "hidesc"
     - "hidestaffchat"
```

</details>

### Config Placeholders

All PlaceholderAPI placeholders are valid.

`%player%` -  Player Name

`%message%` - Staff Message / Event Message

`%status%` - Shows the status of toggle/hide chat.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ryanmood.me/privatechats/config-files/chats.yml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
